# Define pkgdocdir for releases that don't define it already
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           perl-qpid_proton
Version:        0.5
Release:        1%{?dist}.1
Summary:        Perl language bindings for Qpid Proton

License:        ASL 2.0
URL:            http://qpid.apache.org/proton/
Source0:        http://www.apache.org/dist/qpid/proton/%{version}/qpid-proton-%{version}.tar.gz

Provides:       perl(qpid::proton::Constants) = %{version}

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  swig
BuildRequires:  qpid-proton-c-devel = %{version}
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)

%{?perl_default_filter}

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       qpid-proton-c = %{version}


%description
%{summary}.


%prep
%setup -q -n qpid-proton-%{version}

pushd proton-c/bindings/perl
swig -perl -I/usr/include -o cproton_perl.c perl.i
popd

%build
pushd proton-c/bindings/perl
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT

pushd proton-c/bindings/perl
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
popd
%{_fixperms} $RPM_BUILD_ROOT/*

# delete the podfile
rm -f $RPM_BUILD_ROOT/%{_libdir}/perl5/perllocal.pod


%check
pushd proton-c/bindings/perl
make test
popd


%files
%doc LICENSE TODO README
%{perl_vendorarch}/*
%doc %{_mandir}/man3/qpid\:\:proton*


%changelog
* Fri Aug 30 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.5-1.1
- Added the specific Perl provides for Proton.

* Thu Aug 29 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.5-1
- Rebased on Proton 0.5.
- Changed package to use the single upstream source rather than separate Perl sources.

* Mon Apr  1 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.4-1.1
- Changed the qpid-proton dependency to qpid-proton-c.
- Changed the qpid-proton-devel dependency to qpid-proton-c-devel.

* Fri Mar  1 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.4-1
- Rebased on Proton 0.4.

* Fri Feb  1 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.3-2
- First official release for Fedora.

* Thu Jan 31 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.3-1.1
- Fixed version in changelog.
- Added BRs for Test::Exception and Test::More for tests.
- Removed unused exclusion.

* Thu Jan 31 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.3-1
- Initial packaging of the Perl language bindings.
